For the complete documentation index, see llms.txt. This page is also available as Markdown.

Others

FAQ related APIs

Get Audit Logs

get
/webapi/v2/audit/logs

フィルタリングおよびページネーションを使用して、Alliの操作ログを取得します。

Authorizations
API-KEYstringRequired

認証用のAPIキー

Query parameters
createdAtstring · date-timeOptional

Base timestamp (UTC)

beforeRangeinteger · min: 1 · max: 31Optional

Days before created_at (max 31 days)

Default: 31
emailstring · nullableOptional

Agent email filter

apiRequestTypestring · nullableOptional

API request type (rest/graphql)

offsetintegerOptional

Offset for pagination

Default: 0
limitinteger · min: 1 · max: 1000Optional

Limit for pagination

Default: 10
Header parameters
AGENT-EMAILstringOptional

任意: このリクエストに使用するメンバーのメールアドレス

USER-EMAILstringOptional

任意: このリクエストに使用するユーザーのメールアドレス

OWN-USER-IDstringOptional

任意: このリクエストに使用するユーザーのID

Responses
200

成功

application/json

Audit logのリスト応答。

countintegerRequired

総数

get/webapi/v2/audit/logs
GET /webapi/v2/audit/logs HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
  "result": [
    {
      "id": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "agent": {
        "id": "text",
        "email": "text",
        "firstName": "text",
        "lastName": "text"
      },
      "ip": "text",
      "operation": "text",
      "mutation": "text",
      "method": "text",
      "path": "text",
      "variables": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "query": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "body": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    }
  ],
  "count": 1
}

Download Audit Logs

get
/webapi/v2/audit/logs/download

すべての操作ログを CSV ファイルとしてダウンロードします。

Authorizations
API-KEYstringRequired

認証用のAPIキー

Query parameters
createdAtstring · date-timeOptional

Base timestamp (UTC)

beforeRangeinteger · min: 1 · max: 31Optional

Days before created_at (max 31 days)

Default: 31
emailstring · nullableOptional

Agent email filter

apiRequestTypestring · nullableOptional

API request type (rest/graphql)

Header parameters
AGENT-EMAILstringOptional

任意: このリクエストに使用するメンバーのメールアドレス

USER-EMAILstringOptional

任意: このリクエストに使用するユーザーのメールアドレス

OWN-USER-IDstringOptional

任意: このリクエストに使用するユーザーのID

Responses
200

成功

No content

get/webapi/v2/audit/logs/download
GET /webapi/v2/audit/logs/download HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*

No content

シングルプロンプトを取得する

get
/webapi/v2/llm_prompts

シングルプロンプトを取得します。

Authorizations
API-KEYstringRequired

認証用のAPIキー

Query parameters
offsetintegerOptional

シングルプロンプトのオフセット

Default: 0
limitintegerOptional

シングルプロンプトの制限

Default: 100
orderstring · enumOptionalPossible values:
Header parameters
AGENT-EMAILstringOptional

任意: このリクエストに使用するメンバーのメールアドレス

USER-EMAILstringOptional

任意: このリクエストに使用するユーザーのメールアドレス

OWN-USER-IDstringOptional

任意: このリクエストに使用するユーザーのID

Responses
200

正常に取得しました。

application/json
llmPromptIdstringRequired

プロンプトのID

namestringRequired

プロンプト名

descriptionstring · nullableOptional

プロンプトの説明文

get/webapi/v2/llm_prompts
GET /webapi/v2/llm_prompts HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
[
  {
    "llmPromptId": "text",
    "name": "text",
    "description": "text",
    "messages": [
      {
        "role": "system",
        "content": "text"
      }
    ],
    "dynamicInputs": [
      {
        "name": "text",
        "variableName": "text",
        "isClipToken": false
      }
    ]
  }
]

シングルプロンプトを作成する

post
/webapi/v2/llm_prompts

シングルプロンプトを作成します。

Authorizations
API-KEYstringRequired

認証用のAPIキー

Header parameters
AGENT-EMAILstringOptional

任意: このリクエストに使用するメンバーのメールアドレス

USER-EMAILstringOptional

任意: このリクエストに使用するユーザーのメールアドレス

OWN-USER-IDstringOptional

任意: このリクエストに使用するユーザーのID

Body
namestring · nullableRequired

プロンプト名

descriptionstring · nullableOptional

プロンプトの説明文

Responses
200

正常に作成しました。

application/json
llmPromptIdstringRequired

プロンプトのID

namestringRequired

プロンプト名

descriptionstring · nullableOptional

プロンプトの説明文

post/webapi/v2/llm_prompts
POST /webapi/v2/llm_prompts HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 160

{
  "name": "text",
  "description": "text",
  "messages": [
    {
      "role": "system",
      "content": "text"
    }
  ],
  "dynamicInputs": [
    {
      "name": "text",
      "variableName": "text",
      "isClipToken": false
    }
  ]
}
{
  "llmPromptId": "text",
  "name": "text",
  "description": "text",
  "messages": [
    {
      "role": "system",
      "content": "text"
    }
  ],
  "dynamicInputs": [
    {
      "name": "text",
      "variableName": "text",
      "isClipToken": false
    }
  ]
}

IDでシングルプロンプトを取得する

get
/webapi/v2/llm_prompts/{llm_prompt_id}

Retrieve a single LLM prompt by ID.

Authorizations
API-KEYstringRequired

認証用のAPIキー

Path parameters
llm_prompt_idstringRequired
Header parameters
AGENT-EMAILstringOptional

任意: このリクエストに使用するメンバーのメールアドレス

USER-EMAILstringOptional

任意: このリクエストに使用するユーザーのメールアドレス

OWN-USER-IDstringOptional

任意: このリクエストに使用するユーザーのID

Responses
200

正常に取得しました。

application/json
llmPromptIdstringRequired

プロンプトのID

namestringRequired

プロンプト名

descriptionstring · nullableOptional

プロンプトの説明文

get/webapi/v2/llm_prompts/{llm_prompt_id}
GET /webapi/v2/llm_prompts/{llm_prompt_id} HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
  "llmPromptId": "text",
  "name": "text",
  "description": "text",
  "messages": [
    {
      "role": "system",
      "content": "text"
    }
  ],
  "dynamicInputs": [
    {
      "name": "text",
      "variableName": "text",
      "isClipToken": false
    }
  ]
}

IDでシングルプロンプトを削除する

delete
/webapi/v2/llm_prompts/{llm_prompt_id}

Soft-delete an LLM prompt. Fails if the prompt is currently used by a campaign.

Authorizations
API-KEYstringRequired

認証用のAPIキー

Path parameters
llm_prompt_idstringRequired
Header parameters
AGENT-EMAILstringOptional

任意: このリクエストに使用するメンバーのメールアドレス

USER-EMAILstringOptional

任意: このリクエストに使用するユーザーのメールアドレス

OWN-USER-IDstringOptional

任意: このリクエストに使用するユーザーのID

Responses
200

正常に削除されました。

No content

delete/webapi/v2/llm_prompts/{llm_prompt_id}
DELETE /webapi/v2/llm_prompts/{llm_prompt_id} HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*

No content

IDでシングルプロンプトを設定する

patch
/webapi/v2/llm_prompts/{llm_prompt_id}

Partially update an LLM prompt. Only provided fields are changed.

Authorizations
API-KEYstringRequired

認証用のAPIキー

Path parameters
llm_prompt_idstringRequired
Header parameters
AGENT-EMAILstringOptional

任意: このリクエストに使用するメンバーのメールアドレス

USER-EMAILstringOptional

任意: このリクエストに使用するユーザーのメールアドレス

OWN-USER-IDstringOptional

任意: このリクエストに使用するユーザーのID

Body
namestring · nullableRequired

プロンプト名

descriptionstring · nullableOptional

プロンプトの説明文

Responses
200

正常に設定されました。

application/json
llmPromptIdstringRequired

プロンプトのID

namestringRequired

プロンプト名

descriptionstring · nullableOptional

プロンプトの説明文

patch/webapi/v2/llm_prompts/{llm_prompt_id}
PATCH /webapi/v2/llm_prompts/{llm_prompt_id} HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 160

{
  "name": "text",
  "description": "text",
  "messages": [
    {
      "role": "system",
      "content": "text"
    }
  ],
  "dynamicInputs": [
    {
      "name": "text",
      "variableName": "text",
      "isClipToken": false
    }
  ]
}
{
  "llmPromptId": "text",
  "name": "text",
  "description": "text",
  "messages": [
    {
      "role": "system",
      "content": "text"
    }
  ],
  "dynamicInputs": [
    {
      "name": "text",
      "variableName": "text",
      "isClipToken": false
    }
  ]
}

Trigger Directoryの統合。

post
/webapi/v2/directory_integration/trigger

指定されたパスまたはフォルダのディレクトリの統合をトリガーします。

Authorizations
API-KEYstringRequired

認証用のAPIキー

Header parameters
AGENT-EMAILstringOptional

任意: このリクエストに使用するメンバーのメールアドレス

USER-EMAILstringOptional

任意: このリクエストに使用するユーザーのメールアドレス

OWN-USER-IDstringOptional

任意: このリクエストに使用するユーザーのID

Body

ディレクトリ統合をトリガーするためのリクエスト内容

directory_pathstring · nullableOptional

統合するディレクトリへのパス

folder_idstring · nullableOptional

同期するフォルダのID

Responses
200

成功

application/json

ディレクトリ統合トリガーのレスポンス内容。

successbooleanRequired

統合が正常に開始されたかどうか

messagestringRequired

レスポンスメッセージ

task_idstring · nullableOptional

操作を追跡するためのタスクID

post/webapi/v2/directory_integration/trigger
POST /webapi/v2/directory_integration/trigger HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 44

{
  "directory_path": "text",
  "folder_id": "text"
}
{
  "success": true,
  "message": "text",
  "task_id": "text"
}

会話履歴統計の取得

get
/webapi/v2/analytics/app_statistic_history

期間別に LLM アプリの会話履歴統計を取得します。

Authorizations
API-KEYstringRequired

認証用のAPIキー

Query parameters
startDatestringRequired

Start date in YYYY-MM-DD format

endDatestringRequired

End date in YYYY-MM-DD format

metricNamestring · enumOptionalPossible values:
llmAppIdstring · nullableOptional

LLM app ID

llmAppCategorystring · nullableOptional

LLM app category

Header parameters
AGENT-EMAILstringOptional

任意: このリクエストに使用するメンバーのメールアドレス

USER-EMAILstringOptional

任意: このリクエストに使用するユーザーのメールアドレス

OWN-USER-IDstringOptional

任意: このリクエストに使用するユーザーのID

Responses
200

取得完了

application/json

利用履歴のレスポンスの統計データ

get/webapi/v2/analytics/app_statistic_history
GET /webapi/v2/analytics/app_statistic_history?startDate=text&endDate=text HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
  "result": [
    {
      "date": "text",
      "count": 1
    }
  ]
}

LLM実行統計の取得

get
/webapi/v2/analytics/llm_statistic_history

期間内のLLMコールの統計を取得します。

Authorizations
API-KEYstringRequired

認証用のAPIキー

Query parameters
startDatestringRequired

Start date in YYYY-MM-DD format

endDatestringRequired

End date in YYYY-MM-DD format

metricNamestring · enumOptionalPossible values:
llmModelstring · nullableOptional

LLM model

Header parameters
AGENT-EMAILstringOptional

任意: このリクエストに使用するメンバーのメールアドレス

USER-EMAILstringOptional

任意: このリクエストに使用するユーザーのメールアドレス

OWN-USER-IDstringOptional

任意: このリクエストに使用するユーザーのID

Responses
200

成功

application/json

利用履歴のレスポンスの統計データ

get/webapi/v2/analytics/llm_statistic_history
GET /webapi/v2/analytics/llm_statistic_history?startDate=text&endDate=text HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
  "result": [
    {
      "date": "text",
      "count": 1
    }
  ]
}

メディアコンテンツを取得

post
/webapi/v2/multimodal/media-content

保存されたメディアアイテムの内容をbase64エンコード文字列で取得します。media_idはupload_mediaエンドポイントが返すIDに対応します。認証済みプロジェクトにメディアが見つからない場合はnullコンテンツを返します。認証のためAPI-KEYヘッダーが必要です。

Authorizations
API-KEYstringRequired

認証用のAPIキー

Header parameters
AGENT-EMAILstringOptional

任意: このリクエストに使用するメンバーのメールアドレス

USER-EMAILstringOptional

任意: このリクエストに使用するユーザーのメールアドレス

OWN-USER-IDstringOptional

任意: このリクエストに使用するユーザーのID

Body

Request body for retrieving media content.

media_idstringRequired

The ID of the media to retrieve content for.

media_typestring · enumOptional

The type of media to retrieve.

Default: imagePossible values:
Responses
200

OK

application/json

Response containing base64-encoded media content.

contentstring · nullableRequired

Base64-encoded media content, or null if the media was not found.

post/webapi/v2/multimodal/media-content
POST /webapi/v2/multimodal/media-content HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 40

{
  "media_id": "text",
  "media_type": "image"
}
{
  "content": "text"
}

ファイルを生成

post
/webapi/v2/multimodal/generate-file

マークダウンコンテンツをダウンロード可能なドキュメント(PDF、DOCX、PPTX、XLSX)に変換します。成功時はファイル名とダウンロードURLを、失敗時はエラー詳細を返します。認証のためAPI-KEYヘッダーが必要です。

Authorizations
API-KEYstringRequired

認証用のAPIキー

Header parameters
AGENT-EMAILstringOptional

任意: このリクエストに使用するメンバーのメールアドレス

USER-EMAILstringOptional

任意: このリクエストに使用するユーザーのメールアドレス

OWN-USER-IDstringOptional

任意: このリクエストに使用するユーザーのID

Body

Request body for generating a downloadable file.

userIdstringRequired

ID of the user requesting file generation.

titlestringRequired

Title of the generated document.

fileFormatstring · enumRequired

Output file format.

Possible values:
markdownTextstringRequired

Markdown content to convert into the document.

Responses
200

OK

application/json

Response containing the generated file location or error details.

fileNamestring · nullableOptional

Name of the generated file.

fileUrlstring · nullableOptional

Download URL of the generated file.

errorstring · nullableOptional

Error code, present only on failure.

errorMessagestring · nullableOptional

Human-readable error description.

post/webapi/v2/multimodal/generate-file
POST /webapi/v2/multimodal/generate-file HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 73

{
  "userId": "text",
  "title": "text",
  "fileFormat": "pdf",
  "markdownText": "text"
}
{
  "fileName": "text",
  "fileUrl": "text",
  "error": "text",
  "errorMessage": "text"
}

同義語を取得

post
/webapi/v2/synonyms/

プロジェクト内の指定された質問に対する同義語ターゲットとその同義語を返します。

Authorizations
API-KEYstringRequired

認証用のAPIキー

Header parameters
AGENT-EMAILstringOptional

任意: このリクエストに使用するメンバーのメールアドレス

USER-EMAILstringOptional

任意: このリクエストに使用するユーザーのメールアドレス

OWN-USER-IDstringOptional

任意: このリクエストに使用するユーザーのID

Body
questionsstring[]Required
Responses
200

OK

application/json
post/webapi/v2/synonyms/
POST /webapi/v2/synonyms/ HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 22

{
  "questions": [
    "text"
  ]
}
{
  "synonyms": {
    "ANY_ADDITIONAL_PROPERTY": [
      "text"
    ]
  }
}

プロジェクトを取得

get
/webapi/v2/projects

API-KEYで識別されるプロジェクトを返します。

Ralliはログイン後にプロジェクト情報(id、name、cognitiveSearchApiKey)を取得するために使用します。

Authorizations
API-KEYstringRequired

認証用のAPIキー

Header parameters
AGENT-EMAILstringOptional

任意: このリクエストに使用するメンバーのメールアドレス

USER-EMAILstringOptional

任意: このリクエストに使用するユーザーのメールアドレス

OWN-USER-IDstringOptional

任意: このリクエストに使用するユーザーのID

Responses
200

OK

application/json
itemsanyOptional
get/webapi/v2/projects
GET /webapi/v2/projects HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
[]

Get Credit Balance

get
/webapi/v2/credits/balance

Return the project's credit balance summary.

Trial info and monthly cap info are always project-cumulative. When both startDate and endDate are supplied, totalCreditUsage is the sum consumed within that range and byCategory provides the per-category breakdown for the same range. Without dates, totalCreditUsage is the project lifetime cumulative usage.

Authorizations
API-KEYstringRequired

認証用のAPIキー

Query parameters
startDatestring · nullableOptional

Start date (UTC, inclusive) in YYYY-MM-DD. Required together with endDate.

Example: 2025-04-01Pattern: ^\d{4}-\d{2}-\d{2}$
endDatestring · nullableOptional

End date (UTC, inclusive) in YYYY-MM-DD. Required together with startDate.

Example: 2025-04-30Pattern: ^\d{4}-\d{2}-\d{2}$
Header parameters
AGENT-EMAILstringOptional

任意: このリクエストに使用するメンバーのメールアドレス

USER-EMAILstringOptional

任意: このリクエストに使用するユーザーのメールアドレス

OWN-USER-IDstringOptional

任意: このリクエストに使用するユーザーのID

Responses
200

OK

application/json

Response body for GET /webapi/v2/credits/balance.

totalCreditUsagenumberRequired

Cumulative credit consumed by the project across all time.

Example: 1234.5
get/webapi/v2/credits/balance
GET /webapi/v2/credits/balance HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
  "totalCreditUsage": 1234.5,
  "trial": {
    "maxCredit": 10000,
    "remainingCredit": 8765.5
  },
  "cap": {
    "enabled": true,
    "limit": 10000,
    "currentMonthUsage": 432.1,
    "remainingCredit": 9567.9,
    "exceeded": false
  },
  "byCategory": {
    "api_integration": 12.5,
    "generative_answer": 50
  }
}

サマリー分析

get
/webapi/summary_analytics

プロジェクトの分析情報を取得します。

Authorizations
API-KEYstringRequired

認証用のAPIキー

Header parameters
AGENT-EMAILstringOptional

任意: このリクエストに使用するメンバーのメールアドレス

USER-EMAILstringOptional

任意: このリクエストに使用するユーザーのメールアドレス

OWN-USER-IDstringOptional

任意: このリクエストに使用するユーザーのID

Body
startDatestringOptional

YYYY-MM-DD形式で記入。分析を行う日付の開始日を指定。

endDatestringOptional

YYYY-MM-DD形式で記入。分析を行う日付の終了日を指定。

Responses
200

分析データの取得に成功しました。

application/json
errorsobject · nullableOptional
get/webapi/summary_analytics
GET /webapi/summary_analytics HTTP/1.1
Host: backend-ja.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 37

{
  "startDate": "text",
  "endDate": "text"
}
{
  "result": {
    "conversations": 1,
    "conversationsUpDown": 1,
    "participants": 1,
    "participantsUpDown": 1,
    "uniqueParticipants": 1,
    "uniqueParticipantsUpDown": 1,
    "queries": 1,
    "queriesUpDown": 1,
    "queriedUsers": 1,
    "queriedUsersUpDown": 1,
    "uniqueQueriedUsers": 1,
    "uniqueQueriedUsersUpDown": 1,
    "instantResolution": 1,
    "instantResolutionUpDown": 1,
    "aiResponseRate": 1,
    "aiResponseRateUpDown": 1,
    "uniqueVisitors": 1,
    "uniqueVisitorsUpDown": 1,
    "totalFaqs": 1,
    "totalFaqsUpDown": 1,
    "totalDocuments": 1,
    "totalDocumentsUpDown": 1,
    "feedbacksUpDown": 1
  },
  "errors": {}
}

Last updated